cancel
Showing results for 
Search instead for 
Did you mean: 

Deploying ATD or vATD on VMware Workstation 14.0

Hi There,

Has anyone tried to deploy and configure ATD or vATD on a VMware Workstation?

I have tried to deploy ATD version 4.2.x and 4.4 on VMware Workstation. I was able to perform the following successfully:

  • Deployment of ATD successfull
  • VMDK import (with no errors on the provisioning tool) sucessfull
  • Image creating successfull 

I had errors during image Activation and Validation

The logs show the following:

Tue May  8 02:28:40 GST 2018::Validation fails for win10p0x64 /dev/kvm not present. Please enable VT/VT-X and set vhv.enable in vmware

Tue May  8 02:32:39 GST 2018::edit Ok: win10p0x64 mem: cpu:1

Tue May  8 02:32:39 GST 2018::Problem creating VM -- win10p0x64

The VMDK used was a Windows 10 64-Bit OS, VT/VT-X was enabled during VMDK creation and vhv is enabled on the .vmx file.

I tried deploying vATD on VMware Workstation but the template produces the following error:

'Invalid target disk adapter type: pvsci'

I ahve reached out to support and after 3 weeks of log collection, troubleshooting, making images mulitple times, upgrading, etc have been told ATD on VMware Workstation is not supported. 

Although I have talked to several people and there are some videos on the internet where ATD is been running on VMware Workstation. I am running VMware Workstation 14.0 Pro

Does anyone have any thoughts, suggestions on this? 

Thank you in advance. 

 

 

 

Labels (2)
6 Replies
Reliable Contributor d_aloy
Reliable Contributor
Report Inappropriate Content
Message 2 of 7

Re: Deploying ATD or vATD on VMware Workstation 14.0

Hello mate

I haven't tried to install on a vmware workstation, but just a couple of points on this:

1 - VMWare Workstation is not supported I believe - you would need ESXi 5.5 or 6.0 based on the docs

2 - You may be able to get it running on vmware workstation - but you will need to make sure you cover the hardware requirements (I believe you need 8 or 16 CPUs and enough RAM allocated) to get it running, else even if you can importa the OVA the image won't run successfully.

There should be more info on the guide: https://kc.mcafee.com/resources/sites/MCAFEE/content/live/PRODUCT_DOCUMENTATION/27000/PD27139/en_US/...

 

Cheers

David

Re: Deploying ATD or vATD on VMware Workstation 14.0

Hi Daivd

For vATD

point 1, the documentation says VMware Workstation is supported:

https://docs.mcafee.com/bundle/advanced-threat-defense-4.4.0-installation-guide-unmanaged/page/GUID-...

check details realted to vATD-MIO-4_4_x_xx-xxxxx-xxxxx.ova

 

For point 2, I have enough resources. The problem is during the import the '.ova', it shoots an error 'Invalid target disk adapter type: pvscsi.' - have read on some forums that it is regarding the SCSI controller information in the '.ovf' file inside the '.ova' file

Just to give you another example, although there is no mention of McAfee Web Gateway working in VMware Workstation; i have been running it for a while and works great. 

Any other suggestions?

Re: Deploying ATD or vATD on VMware Workstation 14.0

I've with the same error.

I tried to import the ovf from a different PC with VMware Workstation 12. Once successful import, I didn't power on yet, I created I snapshot then copy the whole folder of the VM and paste into my other Windows 10 PC with VMware Workstation 14 and revert to the snapshot I created previously then power on. It's working now.

Reliable Contributor mjesmer
Reliable Contributor
Report Inappropriate Content
Message 5 of 7

Re: Deploying ATD or vATD on VMware Workstation 14.0

@iftikhariqbal,

 

If you are being told that VMWare Workstation is not supported by support, then it isn't supported. It could be a mistake in the documentation. 

 

Also, even "IF" you are running Web Gateway in VMWare Workstation it doesn't mean all of the other products are going to work on that platform as well.

 

You could try this? LINK

 

 

Highlighted
McAfee Employee rbrady
McAfee Employee
Report Inappropriate Content
Message 6 of 7

Re: Deploying ATD or vATD on VMware Workstation 14.0

That line in the documentation is an error.  See p29 of the 4.4 Install Guide where it has the table of supported Hypervisors.  vATD can be run on ESXi 5.5, 6.0 and 6.5 and Microsoft Hyper-V.

vlam
Level 7
Report Inappropriate Content
Message 7 of 7

Re: Deploying ATD or vATD on VMware Workstation 14.0

I had the same issue "Validation fails for win10p0x64 /dev/kvm not present. Please enable VT/VT-X and set vhv.enable in vmware" even I installed vATD on VMWare ESXi, the problem I faced dues to missing one important step

1. When you install vATD, you have to enable vhv

2. When you create VM analyzer on VMWare Workstation, you have to enable vhv as well.

 

Hope this help.

More McAfee Tools to Help You
  • How-to: Endpoint Removal Tool
  • Support: Endpoint Security
  • Visit: Business Service Portal
  • More: Search Knowledge Articles
  • ePolicy Orchestrator Support

    • Download the new ePolicy Orchestrator (ePO) Support Center Extension which simplifies ePO management and provides support resources directly in the console. Learn more about ePO Support Center